[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBListBox.UpdateData

Performs actions needed to update the linked dataset when the value for the control has changed.

## Declaration

Source position: dbctrls.pp line 392

`protected procedure TDBListBox.UpdateData(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

UpdateData is an overridden method in TDBLIstBox. It implements the abstract virtual method defined in the ancestor, and provides support for updating the linked dataset when the value for the control has been changed.

UpdateData stores the value from Items located at the position in ItemIndex to the field for the linked dataset. No actions are performed in the method when ItemIndex is -1 (no item is selected in the control).

UpdateData is used as the OnUpdateData event handler in the internal TFieldDataLink instance for the control.

## See also

TDBListBox.Items |  | The list of all items defined in the control.
TCustomDBListBox.UpdateData |  | UpdateData - method for applying any pending changes to the data.
TFieldDataLink.Field |  | The Field to which the datalink is attached.
TFieldDataLink.OnUpdateData |  | OnUpdateData - event handler for updating any pending changes in the data.
TCustomListBox.ItemIndex |  | Ordinal position for the currently selected item, -1 if none.